Subject: RE: bug#13007: 24.3.50; emacs_backtrace.txt

From: "Drew Adams" <[email-masked]>
Date: Tue, 27 Nov 2012 07:41:39 -0800

> > Started Emacs again, did the same thing, with my setup (tried to
> > complete a file name for M-x load-file, as usual), and got another
> > backtrace file.
> 
> So the abort happens when you are doing minibuffer input, or when some
> message is displayed in the echo area, is that right?

Yes.  I did (in my setup - standalone minibuffer, Icicles, etc.):

 M-x load-file icicles-ma TAB

to complete to icicles-mac.el[c]
 
> Can you describe the configuration of frames and windows at the moment
> of the abort?

3 frames:

1. Dired (could be a file buffer or anything else)
2. Standalone minibuffer frame
3. *Completions* frame, showing the two candidates:
icicles-mac.el  icicles-mac-elc

Immediately after starting Emacs (in Dired), I did the above `M-x'.

TAB causes these things to happen, which I can see happened before the abort
dialog appeared:

a. Displays *Completions*, as mentioned above.
b. Completes minibuffer input to c:/my/path/icicles-mac.el, and highlights the
icicles-mac.el part to show that it is complete.

The Emacs Abort Dialog says the usual (new text).

HTH.  In case there were minor differences from the original backtrace context,
here is another backtrace file, from repeating exactly the recipe given above:

Backtrace:
0x01154C71
0x01154CE3
0x01001459
0x010218FB
0x011FE67C
0x01205BCF
0x0120377C
0x0103B552
0x0107A10D
0x0107A3AF
0x01014D1D
0x010E1A0B
0x01015BC6
0x0101505F
0x010E1A0B
0x01015BC6
0x0101505F
0x010E1A0B
0x01015BC6
0x0101505F
0x010E1A0B
0x01015BC6
0x0101505F
0x010E1A0B
0x01015BC6
0x0101505F
0x01014378
0x010E5789
0x01014D1D
0x0101447B
0x01052C6F
0x010390C3
0x01010C9B
0x01038007
0x010106F8
0x01037F70
0x0103757B
0x010BEF81
0x010BFC8B
0x01014F5F
0x010E1A0B
0x01015BC6
0x0101505F
0x010E1A0B
0x01015BC6
0x0101505F
0x010E1A0B
0x010E0DD2
0x01012FF8
0x010106F8
0x010E259F
0x01015BC6
0x0101505F
0x010E1A0B
0x0101576B
0x0101505F
0x010E1A0B
0x010E0DD2
0x01012FF8
0x010106F8
0x010E259F
0x010E0DD2
...